/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$  
 */

package com.sun.ts.tests.jaxrs.spec.filter.lastvalue;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.core.Application;

public class TSAppConfig extends Application {

	public java.util.Set<java.lang.Class<?>> getClasses() {
		Set<Class<?>> resources = new HashSet<Class<?>>();
		resources.add(Resource.class);
		resources.add(ArrayListEntityProvider.class);
		resources.add(FirstReaderInterceptor.class);
		resources.add(FirstWriterInterceptor.class);
		resources.add(SecondWriterInterceptor.class);
		resources.add(SecondReaderInterceptor.class);
		return resources;
	}
}
